/* =========== Google Fonts ============ */
@import url("https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap");

/* =============== Globals ============== */
* {
  font-family: "Ubuntu", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --blue: #2a2185;
  --blueMuda: #039dc0;
  --white: #fff;
  --gray: #f5f5f5;
  --black1: #222;
  --black2: #999;
  --gradient: linear-gradient(to bottom right, #039dc0, #002895 );
  --gradientY: linear-gradient(to bottom right, #adc003, #002895 );
  /* --gradient: linear-gradient(to bottom right, #82e044, #58f3d1); */
}

body {
  min-height: 100vh;
  overflow-x: hidden;
}

.container {
  position: relative;
  width: 100%;
}

/* =============== Navigation ================ */
.navigation {
  position: fixed;
  width: 300px;
  height: 100%;
  background: var(--gradient);
  border-left: 10px solid;
  border-image: var(--gradient) 1;
  transition: 0.5s;
  overflow: hidden;
}
.navigation.active {
  width: 80px;
}

.navigation ul {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.navigation ul li {
  position: relative;
  width: 100%;
  list-style: none;
  border-top-left-radius: 30px;
  border-bottom-left-radius: 30px;
}

.navigation ul li:hover,
.navigation ul li.hovered {
  background-color: var(--white);
}

.navigation ul li:nth-child(1) {
  margin-bottom: 40px;
  pointer-events: none;
}

.navigation ul li a {
  position: relative;
  display: block;
  width: 100%;
  display: flex;
  text-decoration: none;
  color: var(--white);
}
.navigation ul li:hover a,
.navigation ul li.hovered a {
  color: var(--blue);
}

.navigation ul li a .icon {
  position: relative;
  display: block;
  min-width: 60px;
  height: 60px;
  line-height: 75px;
  text-align: center;
}
.navigation ul li a .icon ion-icon {
  font-size: 1.75rem;
}

.navigation ul li a .title {
  position: relative;
  display: block;
  padding: 0 10px;
  height: 60px;
  line-height: 60px;
  text-align: start;
  white-space: nowrap;
}

/* --------- curve outside ---------- */
.navigation ul li:hover a::before,
.navigation ul li.hovered a::before {
  content: "";
  position: absolute;
  right: 0;
  top: -50px;
  width: 50px;
  height: 50px;
  background-color: transparent;
  border-radius: 50%;
  box-shadow: 35px 35px 0 10px var(--white);
  pointer-events: none;
}
.navigation ul li:hover a::after,
.navigation ul li.hovered a::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: -50px;
  width: 50px;
  height: 50px;
  background-color: transparent;
  border-radius: 50%;
  box-shadow: 35px -35px 0 10px var(--white);
  pointer-events: none;
}

/* ===================== Main ===================== */
.main {
  position: absolute;
  width: calc(100% - 300px);
  left: 300px;
  min-height: 100vh;
  background: rgba(255, 0, 0, 0);
  transition: 0.5s;
  /* display: none; */
}
.main.active {
  width: calc(100% - 80px);
  left: 80px;
}

.topbar {
  width: 100%;
  height: 60px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 10px;
}

.toggle {
  position: relative;
  width: 60px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2.5rem;
  cursor: pointer;
}

/* .search {
  position: relative;
  width: 400px;
  margin: 0 10px;
}

.search label {
  position: relative;
  width: 100%;
}

.search label input {
  width: 100%;
  height: 40px;
  border-radius: 40px;
  padding: 5px 20px;
  padding-left: 35px;
  font-size: 18px;
  outline: none;
  border: 1px solid var(--black2);
}

.search label ion-icon {
  position: absolute;
  top: 0;
  left: 10px;
  font-size: 1.2rem;
} */

.user {
  position: relative;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
}

.user img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sayNama{
  font-size: 13px; 
  color: rgba(173, 173, 173, 0.628);
}

/* ======================= Cards ====================== */
.cardBox {
  position: relative;
  width: 100%;
  padding: 20px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 30px;
}

.cardBox .card {
  position: relative;
  background: var(--white);
  padding: 30px;
  border-radius: 20px;
  display: flex;
  justify-content: space-between;
  cursor: pointer;
  box-shadow: 0 7px 25px rgba(0, 0, 0, 0.08);
}

.cardBox .status{
  background-color: #ffffff;
}

.cardBox .card .text {
  position: relative;
  font-weight: 500;
  font-size: 1.4rem;
  color: var(--black2);
}

.cardBox .card .cardName {
  color: var(--black1);
  font-size: 1.1rem;
  font-weight: bold;
  margin-top: 5px;
}

.cardBox .cardNameStatus {
  color: var(--black1);
  font-size: 1.1rem;
  margin-top: 5px;
}


/* ======================= icon ====================== */

.cardBox .card .icon {
  font-size: 3.5rem;
  color: var(--black2);
}

.cardBox .iconDompet{
  font-size: 3.5rem;
  color: #2abbdd;
}

.cardBox .iconPemasukan{
  font-size: 3.5rem;
  color: green;
}

.cardBox .iconPengeluaran{
  font-size: 3.5rem;
  color: red;
}

.cardBox .iconStatus{
  font-size: 3.5rem;
  color: #D4AF37;
}

.Gold{
  font-size: 3.5rem;
  color: #D4AF37;
}

.Blue{
  font-size: 3.5rem;
  color: #3737d4;
}

.cardBox .card:hover {
  background: var(--gradient);
}
.cardBox .card:hover .text,
.cardBox .card:hover .cardName,
.cardBox .card:hover .icon {
  color: var(--white);
}

/* ================== history List ============== */
.history {
  position: relative;
  width: 100%;
  padding: 20px;
  /* display: grid;
  grid-template-columns: 2fr 1fr;
  grid-gap: 30px; */
  /* margin-top: 10px; */
}

.history .recentOrders {
  position: relative;
  display: grid;
  min-height: 500px;
  background: var(--white);
  padding: 20px;
  box-shadow: 0 7px 25px rgb(0, 0, 0);
  border-radius: 20px;
}

.history .cardHeader {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}
.cardHeader h2 {
  font-weight: 600;
  color: var(--blue);
}
.cardHeader .btn {
  position: relative;
  padding: 5px 10px;
  background: var(--gradient);
  text-decoration: none;
  color: var(--white);
  border-radius: 6px;
}

.cardHeader .btn:hover{
  background: var(--blue);
}

table th,
table td {
  /* padding: 10px; */
  /* text-align: left; */
  /* border: 1px solid #ccc; */
  width: calc(100% / 7);
}


.history table {
  width: 100%;
  height: 10px;
  border-collapse: collapse;
  margin-top: 10px;
}
.history table thead td {
  font-weight: 600;
  
  /* border-bottom: 1px solid rgb(0, 0, 0); */
}
.history .recentOrders table tr {
  color: var(--black1);
  border-bottom: 1px solid rgba(0, 0, 0, 0.327);
}
.history .recentOrders table tr:last-child {
  border-bottom: none;
}
.history .recentOrders table tbody tr:hover {
  background: var(--gradient);
  color: var(--white);
}
.history .recentOrders table tr td {
  padding: 10px;
}
.history .recentOrders table tr td:last-child {
  text-align: end;
}
.history .recentOrders table tr td:nth-child(2) {
  text-align: end;
}
.history .recentOrders table tr td:nth-child(3) {
  text-align: center;
}
.status.delivered {
  padding: 2px 4px;
  background: #8de02c;
  color: var(--white);
  border-radius: 4px;
  font-size: 14px;
  font-weight: 500;
}
.status.pending {
  padding: 2px 4px;
  background: #e9b10a;
  color: var(--white);
  border-radius: 4px;
  font-size: 14px;
  font-weight: 500;
}
.status.return {
  padding: 2px 4px;
  background: #f00;
  color: var(--white);
  border-radius: 4px;
  font-size: 14px;
  font-weight: 500;
}
.status.inProgress {
  padding: 2px 4px;
  background: #1795ce;
  color: var(--white);
  border-radius: 4px;
  font-size: 14px;
  font-weight: 500;
}

/* .recentCustomers {
  position: relative;
  display: grid;
  min-height: 500px;
  padding: 20px;
  background: var(--white);
  box-shadow: 0 7px 25px rgba(0, 0, 0, 0.08);
  border-radius: 20px;
}
.recentCustomers .imgBx {
  position: relative;
  width: 40px;
  height: 40px;
  border-radius: 50px;
  overflow: hidden;
}
.recentCustomers .imgBx img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.recentCustomers table tr td {
  padding: 12px 10px;
}
.recentCustomers table tr td h4 {
  font-size: 16px;
  font-weight: 500;
  line-height: 1.2rem;
}
.recentCustomers table tr td h4 span {
  font-size: 14px;
  color: var(--black2);
}
.recentCustomers table tr:hover {
  background: var(--blue);
  color: var(--white);
}
.recentCustomers table tr:hover td h4 span {
  color: var(--white);
} */

/* ====================== Modal ====================== */
 /* The Modal (background) */
 .modal, .mod-wallet {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: rgba(0, 0, 0, 0.4);
  /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content-trasnfer-bank, .modal-content-wallet {
  border-radius: 20px;
  background-color: #fefefe;
  margin: 15% auto;
  /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 30%;
  /* Could be more or less, depending on screen size */
}

/* Close Button */
.close, .closebtn {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus, 
.closebtn:hover,
.closebtn:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

/* Style the form */
form {
  display: flex;
  flex-direction: column;
}

label {
  margin-bottom: 10px;
}

select,
input[type="text"], 
input[type="password"],
input[type="number"] {
  padding: 10px;
  margin-bottom: 20px;
  border: none;
  border-radius: 4px;
  background-color: #f2f2f2;
}

.btnTransfer {
  background-color: var(--blueMuda);
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: all 0.5s;
}

.btnTransfer:hover {
  background-color: var(--blue);
}

/* ====================== Responsive Design ========================== */
@media (max-width: 991px) {
  .navigation {
    left: -300px;
  }
  .navigation.active {
    width: 300px;
    left: 0;
  }
  .main {
    width: 100%;
    left: 0;
  }
  .main.active {
    left: 300px;
  }
  .cardBox {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 768px) {
  .history {
    grid-template-columns: 1fr;
  }
  .recentOrders {
    overflow-x: auto;
  }
  .status.inProgress {
    white-space: nowrap;
  }
}

@media (max-width: 480px) {
  .cardBox {
    grid-template-columns: repeat(1, 1fr);
  }
  .cardHeader h2 {
    font-size: 20px;
  }
  .user {
    min-width: 40px;
  }
  .navigation {
    width: 100%;
    left: -100%;
    z-index: 1000;
  }
  .navigation.active {
    width: 100%;
    left: 0;
  }
  .toggle {
    z-index: 10001;
  }
  .main.active .toggle {
    color: #fff;
    position: fixed;
    right: 0;
    left: initial;
  }
}
